Index: git/pgadmin4/runtime/ConfigWindow.ui
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- git/pgadmin4/runtime/ConfigWindow.ui	(revision e538a4f710661a8210381547092a1263cb8bd781)
+++ git/pgadmin4/runtime/ConfigWindow.ui	(date 1585914577602)
@@ -7,7 +7,7 @@
     <x>0</x>
     <y>0</y>
     <width>731</width>
-    <height>300</height>
+    <height>398</height>
    </rect>
   </property>
   <property name="sizePolicy">
@@ -215,6 +215,66 @@
            </item>
            <item>
             <spacer name="horizontalSpacer_2">
+             <property name="orientation">
+              <enum>Qt::Horizontal</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>40</width>
+               <height>20</height>
+              </size>
+             </property>
+            </spacer>
+           </item>
+          </layout>
+         </item>
+         <item>
+          <spacer name="verticalSpacer">
+           <property name="orientation">
+            <enum>Qt::Vertical</enum>
+           </property>
+           <property name="sizeHint" stdset="0">
+            <size>
+             <width>20</width>
+             <height>40</height>
+            </size>
+           </property>
+          </spacer>
+         </item>
+         <item>
+          <widget class="QLabel" name="label_8">
+           <property name="text">
+            <string>By default, when the pgAdmin server is started a browser tab will be automatically opened to display the user interface. Un-check this option to run the server without automatically opening the browser.</string>
+           </property>
+           <property name="wordWrap">
+            <bool>true</bool>
+           </property>
+          </widget>
+         </item>
+         <item>
+          <layout class="QHBoxLayout" name="horizontalLayout_2">
+           <item>
+            <widget class="QLabel" name="label_9">
+             <property name="text">
+              <string>Open a Browser Window/Tab at Startup?</string>
+             </property>
+            </widget>
+           </item>
+           <item>
+            <widget class="QCheckBox" name="chkOpenTabAtStartup">
+             <property name="layoutDirection">
+              <enum>Qt::RightToLeft</enum>
+             </property>
+             <property name="text">
+              <string/>
+             </property>
+             <property name="checked">
+              <bool>true</bool>
+             </property>
+            </widget>
+           </item>
+           <item>
+            <spacer name="horizontalSpacer_3">
              <property name="orientation">
               <enum>Qt::Horizontal</enum>
              </property>
@@ -267,17 +327,26 @@
          </item>
          <item>
           <layout class="QGridLayout" name="gridLayout">
-           <item row="5" column="1">
-            <widget class="QLineEdit" name="applicationPathLineEdit">
-             <property name="placeholderText">
-              <string>/usr/pgadmin4/web</string>
+           <item row="3" column="1">
+            <spacer name="verticalSpacer_5">
+             <property name="orientation">
+              <enum>Qt::Vertical</enum>
+             </property>
+             <property name="sizeType">
+              <enum>QSizePolicy::Expanding</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>20</width>
+               <height>60</height>
+              </size>
              </property>
-            </widget>
+            </spacer>
            </item>
-           <item row="0" column="1">
-            <widget class="QLineEdit" name="pythonPathLineEdit">
-             <property name="placeholderText">
-              <string>/usr/pgadmin4/lib/python2.7;/usr/pgadmin4/lib/python2.7/site-packages</string>
+           <item row="0" column="0">
+            <widget class="QLabel" name="pythonPathLabel">
+             <property name="text">
+              <string>Python Path</string>
              </property>
             </widget>
            </item>
@@ -288,10 +357,17 @@
              </property>
             </widget>
            </item>
-           <item row="0" column="0">
-            <widget class="QLabel" name="pythonPathLabel">
-             <property name="text">
-              <string>Python Path</string>
+           <item row="0" column="1">
+            <widget class="QLineEdit" name="pythonPathLineEdit">
+             <property name="placeholderText">
+              <string>/usr/pgadmin4/lib/python2.7;/usr/pgadmin4/lib/python2.7/site-packages</string>
+             </property>
+            </widget>
+           </item>
+           <item row="5" column="1">
+            <widget class="QLineEdit" name="applicationPathLineEdit">
+             <property name="placeholderText">
+              <string>/usr/pgadmin4/web</string>
              </property>
             </widget>
            </item>
@@ -312,18 +388,15 @@
              </property>
             </widget>
            </item>
-           <item row="3" column="1">
-            <spacer name="verticalSpacer_5">
+           <item row="7" column="1">
+            <spacer name="verticalSpacer_2">
              <property name="orientation">
               <enum>Qt::Vertical</enum>
-             </property>
-             <property name="sizeType">
-              <enum>QSizePolicy::Expanding</enum>
              </property>
              <property name="sizeHint" stdset="0">
               <size>
                <width>20</width>
-               <height>60</height>
+               <height>40</height>
               </size>
              </property>
             </spacer>
Index: git/pgadmin4/runtime/ConfigWindow.cpp
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- git/pgadmin4/runtime/ConfigWindow.cpp	(revision e538a4f710661a8210381547092a1263cb8bd781)
+++ git/pgadmin4/runtime/ConfigWindow.cpp	(date 1585914654615)
@@ -57,6 +57,11 @@
     return ui->spinPortNumber->value();
 }
 
+bool ConfigWindow::getOpenTabAtStartup()
+{
+    return ui->chkOpenTabAtStartup->isChecked();
+}
+
 QString ConfigWindow::getPythonPath()
 {
     return ui->pythonPathLineEdit->text();
@@ -92,6 +97,18 @@
     ui->spinPortNumber->setValue(port);
 }
 
+void ConfigWindow::setOpenTabAtStartup(bool openTabAtStartup)
+{
+    if (openTabAtStartup)
+    {
+        ui->chkOpenTabAtStartup->setCheckState(Qt::Checked);
+    }
+    else
+    {
+        ui->chkOpenTabAtStartup->setCheckState(Qt::Unchecked);
+    }
+}
+
 void ConfigWindow::setPythonPath(QString path)
 {
     ui->pythonPathLineEdit->setText(path);
Index: git/pgadmin4/runtime/pgAdmin4.cpp
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- git/pgadmin4/runtime/pgAdmin4.cpp	(revision e538a4f710661a8210381547092a1263cb8bd781)
+++ git/pgadmin4/runtime/pgAdmin4.cpp	(date 1585915733905)
@@ -313,6 +313,7 @@
             dlg->setBrowserCommand(settings.value("BrowserCommand").toString());
             dlg->setFixedPort(settings.value("FixedPort").toBool());
             dlg->setPortNumber(settings.value("PortNumber").toInt());
+            dlg->setOpenTabAtStartup(settings.value("OpenTabAtStartup", true).toBool());
             dlg->setPythonPath(settings.value("PythonPath").toString());
             dlg->setApplicationPath(settings.value("ApplicationPath").toString());
             dlg->setModal(true);
@@ -321,6 +322,7 @@
             QString browsercommand = dlg->getBrowserCommand();
             bool fixedport = dlg->getFixedPort();
             int portnumber = dlg->getPortNumber();
+            bool opentabatstartup = dlg->getOpenTabAtStartup();
             QString pythonpath = dlg->getPythonPath();
             QString applicationpath = dlg->getApplicationPath();
 
@@ -329,6 +331,7 @@
                 settings.setValue("BrowserCommand", browsercommand);
                 settings.setValue("FixedPort", fixedport);
                 settings.setValue("PortNumber", portnumber);
+                settings.setValue("OpenTabAtStartup", opentabatstartup);
                 settings.setValue("PythonPath", pythonpath);
                 settings.setValue("ApplicationPath", applicationpath);
                 settings.sync();
@@ -416,23 +419,26 @@
     if (floatingWindow != Q_NULLPTR)
         floatingWindow->enableShutdownMenu();
 
-    QString cmd = settings.value("BrowserCommand").toString();
+    if (settings.value("OpenTabAtStartup", true).toBool())
+    {
+        QString cmd = settings.value("BrowserCommand").toString();
 
-    if (!cmd.isEmpty())
-    {
-        cmd.replace("%URL%", appServerUrl);
-        QProcess::startDetached(cmd);
-    }
-    else
-    {
-        if (!QDesktopServices::openUrl(appServerUrl))
-        {
-            QString error(QWidget::tr("Failed to open the system default web browser. Is one installed?."));
-            QMessageBox::critical(Q_NULLPTR, QString(QWidget::tr("Fatal Error")), error);
+        if (!cmd.isEmpty())
+        {
+            cmd.replace("%URL%", appServerUrl);
+            QProcess::startDetached(cmd);
+        }
+        else
+        {
+            if (!QDesktopServices::openUrl(appServerUrl))
+            {
+                QString error(QWidget::tr("Failed to open the system default web browser. Is one installed?."));
+                QMessageBox::critical(Q_NULLPTR, QString(QWidget::tr("Fatal Error")), error);
 
-            Logger::GetLogger()->Log(error);
-            Logger::ReleaseLogger();
-            exit(1);
+                Logger::GetLogger()->Log(error);
+                Logger::ReleaseLogger();
+                exit(1);
+            }
         }
     }
 
Index: git/pgadmin4/runtime/MenuActions.cpp
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- git/pgadmin4/runtime/MenuActions.cpp	(revision e538a4f710661a8210381547092a1263cb8bd781)
+++ git/pgadmin4/runtime/MenuActions.cpp	(date 1585915733908)
@@ -79,6 +79,7 @@
     dlg->setBrowserCommand(settings.value("BrowserCommand").toString());
     dlg->setFixedPort(settings.value("FixedPort").toBool());
     dlg->setPortNumber(settings.value("PortNumber").toInt());
+    dlg->setOpenTabAtStartup(settings.value("OpenTabAtStartup", true).toBool());
     dlg->setPythonPath(settings.value("PythonPath").toString());
     dlg->setApplicationPath(settings.value("ApplicationPath").toString());
     dlg->setModal(true);
@@ -87,6 +88,7 @@
     QString browsercommand = dlg->getBrowserCommand();
     bool fixedport = dlg->getFixedPort();
     int portnumber = dlg->getPortNumber();
+    bool opentabatstartup = dlg->getOpenTabAtStartup();
     QString pythonpath = dlg->getPythonPath();
     QString applicationpath = dlg->getApplicationPath();
 
@@ -100,6 +102,7 @@
         settings.setValue("BrowserCommand", browsercommand);
         settings.setValue("FixedPort", fixedport);
         settings.setValue("PortNumber", portnumber);
+        settings.setValue("OpenTabAtStartup", opentabatstartup);
         settings.setValue("PythonPath", pythonpath);
         settings.setValue("ApplicationPath", applicationpath);
 
Index: git/pgadmin4/docs/en_US/desktop_deployment.rst
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- git/pgadmin4/docs/en_US/desktop_deployment.rst	(revision e538a4f710661a8210381547092a1263cb8bd781)
+++ git/pgadmin4/docs/en_US/desktop_deployment.rst	(date 1585917849831)
@@ -71,6 +71,12 @@
    +--------------------------+--------------------+---------------------------------------------------------------+
    | ConnectionTimeout        | Integer            | The number of seconds to wait for application server startup. |
    +--------------------------+--------------------+---------------------------------------------------------------+
+   | FixedPort                | Boolean            | Use a fixed network port number rather than a random one.     |
+   +--------------------------+--------------------+---------------------------------------------------------------+
+   | OpenTabAtStartup         | Boolean            | Open a browser tab at startup.                                |
+   +--------------------------+--------------------+---------------------------------------------------------------+
+   | PortNumber               | Integer            | The port number to use, if using a fixed port.                |
+   +--------------------------+--------------------+---------------------------------------------------------------+
    | PythonPath               | String             | The Python module search path                                 |
    +--------------------------+--------------------+---------------------------------------------------------------+
 
Index: git/pgadmin4/runtime/ConfigWindow.h
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- git/pgadmin4/runtime/ConfigWindow.h	(revision e538a4f710661a8210381547092a1263cb8bd781)
+++ git/pgadmin4/runtime/ConfigWindow.h	(date 1585914577608)
@@ -29,12 +29,14 @@
     QString getBrowserCommand();
     bool getFixedPort();
     int getPortNumber();
+    bool getOpenTabAtStartup();
     QString getPythonPath();
     QString getApplicationPath();
 
     void setBrowserCommand(QString command);
     void setFixedPort(bool fixedPort);
     void setPortNumber(int port);
+    void setOpenTabAtStartup(bool openTabAtStartup);
     void setPythonPath(QString path);
     void setApplicationPath(QString path);
 
